matrix.hh File Reference
`#include <mia/2d/vector.hh>`
Include dependency graph for 2d/matrix.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | T2DMatrix< T >
| A simple 2x2 matrix. More...

## Typedefs

typedef T2DMatrix< float > | C2DFMatrix
| a simple 2x2 matrix

## Functions

template<typename T>
T2DVector< T > | operator* (const T2DMatrix< T > &m, const T2DVector< T > &x)
template<typename T>
T2DVector< T > | operator* (const T2DVector< T > &x, const T2DMatrix< T > &m)

## Variables

template<typename T>
const T2DMatrix< T > | T2DMatrix< T >::_0
template<typename T>
const T2DMatrix< T > | T2DMatrix< T >::_1 (T2DVector< T >(1, 0), T2DVector< T >(0, 1))

## Typedef Documentation

## C2DFMatrix

typedef T2DMatrix<float> C2DFMatrix

a simple 2x2 matrix

Definition at line 153 of file 2d/matrix.hh.

## Function Documentation

## operator*() [1/2]

template<typename T>

T2DVector< T > operator* | ( | const T2DMatrix< T > & | m,
|  | const T2DVector< T > & | x )

right hand side product of a matrix m and a vector x

Parameters

  m |
  x |

Returns
  m * x

Definition at line 146 of file 2d/matrix.hh.

References T2DVector< T >::x, and T2DVector< T >::y.

## operator*() [2/2]

template<typename T>

T2DVector< T > operator* | ( | const T2DVector< T > & | x,
|  | const T2DMatrix< T > & | m )

Left hand side product of a matrix m and a vector x

Parameters

  x |
  m |

Returns
  x * m

Definition at line 133 of file 2d/matrix.hh.

References dot(), T2DVector< T >::x, and T2DVector< T >::y.

## Variable Documentation

## T2DMatrix< T >::_0

template<typename T>

const T2DMatrix<T> T2DMatrix< T >::_0

Definition at line 74 of file 2d/matrix.hh.

## T2DMatrix< T >::_1

template<typename T>

const T2DMatrix< T > T2DMatrix< T >::_1(T2DVector< T >(1, 0), T2DVector< T >(0, 1)) | ( | T2DVector< T > | 1, 0,
|  | T2DVector< T > | 0, 1 )

Referenced by C2DStackDistanceTransform::C2DStackDistanceTransform().